Bug 961114 - RFE: For "rpm repo sync schedules" commands, make repo-id optional when schedule-id exists
RFE: For "rpm repo sync schedules" commands, make repo-id optional when sched...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.1 Beta
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 16:19 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 20:10:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 188 None None None Never

  None (edit)
Description Sayli Karmarkar 2013-05-08 16:19:23 EDT
Description of problem:


For "rpm repo sync schedules" commands, make repo-id optional when schedule-id exists
Comment 1 Sayli Karmarkar 2013-05-08 16:25:31 EDT
Make --repo-id optional when you specify a --schedule-id, assuming the schedule-id is globally unique then there's no reason to additionally require the repo-id. It's quite a bit more work when managing the schedule of multiple repos (the common pattern).
Comment 2 Brian Bouterse 2015-02-18 20:10:47 EST
Moved to https://pulp.plan.io/issues/188

Note You need to log in before you can comment on or make changes to this bug.